#!/usr/bin/env bash

echo 'building all components'

cd ..

#building library first
cd library/build
cmake ..
make 
make test
cd ../..

for d in */; do
    cd "$d"
    FILE=build
    echo $d
    if [ -d $FILE ]; then
        echo 'building component ' $d
        cd build
        cmake ..
        make
        make test
        cd ..
    fi

    cd ..
done